pandoc-1.16.0.2: Conversion between markup formats

Copyright | Copyright (C) 2006-2015 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell98

Text.Pandoc.Readers.HTML

Description

Conversion of HTML to `Pandoc` document.

Synopsis

- readHtml :: ReaderOptions -> String -> Either PandocError Pandoc
- htmlTag :: Monad m => (Tag String -> Bool) -> ParserT [Char] st m (Tag String, String)
- htmlInBalanced :: Monad m => (Tag String -> Bool) -> ParserT String st m String
- isInlineTag :: Tag String -> Bool
- isBlockTag :: Tag String -> Bool
- isTextTag :: Tag String -> Bool
- isCommentTag :: Tag String -> Bool

# Documentation

readHtml Source

Arguments

:: ReaderOptions | Reader options
-> String | String to parse (assumes `'\n'` line endings)
-> Either PandocError Pandoc |

Convert HTML-formatted string to `Pandoc` document.

htmlTag :: Monad m => (Tag String -> Bool) -> ParserT [Char] st m (Tag String, String) Source

Matches a tag meeting a certain condition.

htmlInBalanced :: Monad m => (Tag String -> Bool) -> ParserT String st m String Source

Matches a stretch of HTML in balanced tags.

isInlineTag :: Tag String -> Bool Source

isBlockTag :: Tag String -> Bool Source

isTextTag :: Tag String -> Bool Source

isCommentTag :: Tag String -> Bool Source